import { commonsTypeIsString } from 'tscommons-es-core';
export var ECommonsHttpResponseDataType;
(function (ECommonsHttpResponseDataType) {
    ECommonsHttpResponseDataType["STRING"] = "string";
    ECommonsHttpResponseDataType["UINT8ARRAY"] = "uint8array";
})(ECommonsHttpResponseDataType || (ECommonsHttpResponseDataType = {}));
export function toECommonsHttpResponseDataType(type) {
    switch (type) {
        case ECommonsHttpResponseDataType.STRING.toString():
            return ECommonsHttpResponseDataType.STRING;
        case ECommonsHttpResponseDataType.UINT8ARRAY.toString():
            return ECommonsHttpResponseDataType.UINT8ARRAY;
    }
    return undefined;
}
export function fromECommonsHttpResponseDataType(type) {
    switch (type) {
        case ECommonsHttpResponseDataType.STRING:
            return ECommonsHttpResponseDataType.STRING.toString();
        case ECommonsHttpResponseDataType.UINT8ARRAY:
            return ECommonsHttpResponseDataType.UINT8ARRAY.toString();
    }
    throw new Error('Unknown ECommonsHttpResponseDataType');
}
export function isECommonsHttpResponseDataType(test) {
    if (!commonsTypeIsString(test))
        return false;
    return toECommonsHttpResponseDataType(test) !== undefined;
}
export function keyToECommonsHttpResponseDataType(key) {
    switch (key) {
        case 'STRING':
            return ECommonsHttpResponseDataType.STRING;
        case 'UINT8ARRAY':
            return ECommonsHttpResponseDataType.UINT8ARRAY;
    }
    throw new Error(`Unable to obtain ECommonsHttpResponseDataType for key: ${key}`);
}
export const ECOMMONS_HTTP_RESPONSE_DATA_TYPES = Object.keys(ECommonsHttpResponseDataType)
    .map((e) => keyToECommonsHttpResponseDataType(e));
//# sourceMappingURL=ecommons-http-response-data-type.js.map