import { commonsTypeHasPropertyNumberOrUndefined, commonsTypeHasPropertyEnumOrUndefined } from 'tscommons-es-core';
import { isECommonsHttpContentType } from '../enums/ecommons-http-content-type';
import { isECommonsHttpResponseDataType } from '../enums/ecommons-http-response-data-type';
export function isTCommonsHttpRequestOptions(test) {
    if (!commonsTypeHasPropertyNumberOrUndefined(test, 'timeout'))
        return false;
    if (!commonsTypeHasPropertyEnumOrUndefined(test, 'bodyDataEncoding', isECommonsHttpContentType))
        return false;
    if (!commonsTypeHasPropertyEnumOrUndefined(test, 'responseDataType', isECommonsHttpResponseDataType))
        return false;
    if (!commonsTypeHasPropertyNumberOrUndefined(test, 'maxReattempts'))
        return false;
    return true;
}
//# sourceMappingURL=tcommons-http-request-options.js.map